import { HttpClientTestingModule } from '@angular/common/http/testing';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { UiLoaderModule } from '@ui/loader/loader.module';
import { DeltagareCardService } from '../../deltagare-card.service';
import { DeltagareTabExperiencesComponent } from './deltagare-tab-experiences.component';

describe('DeltagareTabExperiencesComponent', () => {
  let component: DeltagareTabExperiencesComponent;
  let fixture: ComponentFixture<DeltagareTabExperiencesComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [DeltagareTabExperiencesComponent],
      imports: [RouterTestingModule, HttpClientTestingModule, UiLoaderModule],
      providers: [DeltagareCardService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(DeltagareTabExperiencesComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
